/*
** File: 
**
**  Xvrop.h: Client accessable definitions for Xv video extension
**           DD level associated with RasterOps adaptors.
**
** Author: 
**
**   Andy Goodrich (Parallax)
**
** Revisions:
**
**   20.01.94 Goodrich
**     - Initial coding.
*/

#ifndef Xvrop_h_INCLUDED
#define Xvrop_h_INCLUDED

#include <sys/types.h>
#include "Xvddx.h"		/* Pick up generic DD level definitions. */

/*
 *  DEVICE-DEPENDENT ATTRIBUTES SUPPORTED:
 *
 *  Long attributes:
 *
 *  Integer attributes:
 *     1) "XV_BRIGHTNESS" - get or set brightness level (-1000..1000).
 *     2) "XV_CONTRAST" - get or set contrast level (-1000..1000).
 *     3) "XV_HUE" - get or set hue level (-1000..1000).
 *     4) "XV_SATURATION" - get or set saturation level (-1000..1000).
 *     5) "XV_STATUS" - get status of port (see Xvddx.h for status values).
 *
 *  Control operations:
 */

enum { 
    XVROP_CTL_DIAGF_OFF = 0, 
    XVROP_CTL_DIAGF_ON, 
};   
 

#endif /* Xvrop_h_INCLUDED */

